> ## Documentation Index
> Fetch the complete documentation index at: https://docs.txcloud.thetekcircle.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Upload bank statements



## OpenAPI

````yaml openapi/lending.yaml post /lending/statements/upload
openapi: 3.0.3
info:
  title: TXCloud LendingRisk API
  version: 1.0.0
  description: |
    Credit risk assessment and affordability analysis for lending decisions.
    Aggregates data from bank statements, bureaus, and alternative sources.
servers:
  - url: https://api.txcloud.io/v1
  - url: https://sandbox.api.txcloud.io/v1
security:
  - BearerAuth: []
tags:
  - name: Assessment
    description: Credit assessment endpoints
  - name: Income
    description: Income verification
  - name: Statements
    description: Bank statement analysis
  - name: Monitoring
    description: Borrower monitoring
  - name: Models
    description: Scoring models
  - name: Analytics
    description: Portfolio analytics
paths:
  /lending/statements/upload:
    post:
      tags:
        - Statements
      summary: Upload bank statements
      operationId: uploadStatements
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/StatementUpload'
      responses:
        '201':
          description: Upload initiated
components:
  schemas:
    StatementUpload:
      type: object
      required:
        - applicant_id
        - documents
      properties:
        applicant_id:
          type: string
        documents:
          type: array
          items:
            type: object
            properties:
              type:
                type: string
              bank_name:
                type: string
              file:
                type: string
                format: byte
              period_start:
                type: string
                format: date
              period_end:
                type: string
                format: date
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer

````